package fta3;

import java.util.HashSet;
import java.io.*;
import java.lang.reflect.Array;

//import fta.*;
// import ExInp;


class LgSym implements Serializable
{
    public String nameS;
    public int arityS;
    public LgTyp typeS;   
    public String desS;

    LgSym () {};
    LgSym (String n) {
        nameS = n; 
        arityS = 0;
        typeS = LgTyp.tLogic;
        desS = "VAR";
        };
    LgSym (String n, String d) {
        nameS = n; 
        arityS = 0;
        typeS = LgTyp.tLogic;
        desS = d;
        };
    LgSym (String n, int a) {
        nameS = n; 
        arityS = a;
        typeS = LgTyp.buildFunType (a);
        desS = "OP";
        };
    LgSym (String n, int a, LgTyp t, String d) {
        nameS = n; 
        arityS = a;
        typeS = t;
        desS = d;
        };

    public static final LgSym imply = new LgSym ("IMP", 2);

    public static final LgSym and (int n) { return (new LgSym ("AND", n)); }
    public static final LgSym or (int n) { return (new LgSym ("OR", n)); }
    public static final LgSym andC (int n) { return (new LgSym ("ANDC", n)); }
    public static final LgSym andAC (int n) 
                                    { return (new LgSym ("ANDAC", n)); }
    public static final LgSym orC (int n) { return (new LgSym ("ORC", n)); }
    public static final LgSym inh (int n) { return (new LgSym ("INH", n)); }
    public static final LgSym inhC (int n) { return (new LgSym ("INHC", n)); }
}

