package fta3;

import java.io.*;
import java.lang.Integer;
import java.util.*;

class CTree {

    public String cProjectNm;
    public TComp[] cComps;

    CTree () {};
    CTree (TComp[] cs) { 
        cProjectNm = "";
        cComps = cs; 
    }

    public boolean equals (CTree t) {
        if (cProjectNm.equals (t.cProjectNm) &&
            Arrays.equals (cComps, t.cComps))
	    return true; else return false;  
    }

    public static void printCT (CTree t) {
        SimpleIO.promptln ("");
        SimpleIO.promptln ("");
        SimpleIO.promptln ("Printing the gate components of "
                    + "the generated tree: ");
        SimpleIO.promptln ("");
        int n = t.cComps.length;
        for (int x = 0; x < n; ++x) {
	    TComp.printTComp (t.cComps[x]);
	}
        SimpleIO.promptln ("");
    };

    public static CTree ordCT (CTree t) {
        TComp[] cs = t.cComps;
        int n = cs.length;
        for (int i = 0; i < n; i++) {
            if (cs[i].cEffect.nDes.equals ("TOP")) {
		TComp nc = cs[0];
       	        cs[0] = cs[i];
                cs[i] = nc;
                t.cComps = cs;
                return t;
	    }
            else continue;
	}
        return null;
    }

    public static TEdge[] badEdges (TEdge[] eds) {
        int c = 0;
        TEdge[] rs = new TEdge[c];
        int k = eds.length;
        for (int i = 0; i < k; i++) {
            if (eds[i].eSource.nSort.equals (eds[i].eDest.nSort)) {
                    rs = new TEdge[c+1];
                    rs[c] = eds[i];
                    c++;
		}
		else continue;
	}
	return rs;
    }

    public static CTree extCTree (TGate[] gs, TEdge[] eds) {
	TEdge[] fs = badEdges (eds); 
        int x = gs.length;
        int y = fs.length;
        TComp[] cs = new TComp[x+y];
        for (int i = 0; i < x; i++) {
	    cs[i] = TComp.extTComp (gs[i], eds);  
	}
        for (int i = 0; i < y; i++) {
            cs[x+i] = TComp.extTComp (fs[i]);
	}
        return (new CTree (cs));
    }
}



