package fta3;

import java.io.*;
import java.lang.Integer;
import java.util.*;

class TEdge extends TElem implements Serializable {

    public TNode eSource;
    public TNode eDest; 

    TEdge () { nSort = "EDGE"; };
    TEdge (String f, String i, TNode s, TNode d) {
        nFile = f;
        eSource = s;
        eDest = d;
        nId = i;
    };
    TEdge (String f, String i, String s, String d) {
        nFile = f;
        eSource = new TNode (f, s);
        eDest = new TNode (f, d);
        nId = i;
    };

    public String source () { return eSource.nId; }
    public String dest () { return eDest.nId; }
    public String eName () {
	return ((source ()) + "_" + (dest ()));
    };

    public static void printEdge (TEdge x) {
	System.out.println ("EDGE "); 
        System.out.print ("File: "); 
       	System.out.println (x.nFile); 
        System.out.print ("Source (sou): "); 
       	System.out.println (x.source ()); 
        System.out.print ("Destination (des): "); 
	System.out.println (x.dest ()); 
        System.out.print ("Id (idt): "); 
	System.out.println (x.nId); 
        System.out.print ("Description: "); 
	System.out.println (x.nDes); 
	System.out.println (" "); 
    }

    public static TEdge[] addElem (TEdge[] xs, TEdge x) {
        int n = xs.length;
        TEdge[] ys = new TEdge[n+1];
        for (int i = 0; i < n; i++) {
	    ys[i] = xs[i];
	}
        ys[n] = x;
        return ys;
    }

    public static TEdge[] rmElem (TEdge[] xs, int k) {
        TEdge[] ys; 
        int n = xs.length;
        if (n < 1) return xs; 
        else {
	    int m = n - 1;
            ys = new TEdge[m];
            for (int i = 0; i < m; i++) {
              if (i < k) ys[i] = xs[i];
              else ys[i] = xs[i+1];
	    }
        }
        return ys;
    }

    public static TEdge[] joinElems (TEdge[] as, TEdge[] bs) {
        int na = as.length;
        int nb = bs.length;
        int n = na + nb;
        TEdge[] ys = new TEdge[n];
        for (int i = 0; i < n; i++) {
	    if (i < na) ys[i] = as[i];
            else ys[i] = bs[i-na];
	};
        return ys;
    }
}





