package fta3;

import java.io.*;
import java.lang.Integer;
import java.util.*;

class TElem implements Serializable {

    public String nFile;
    public String nSort;
    public String nId;
    public String nDes;

    TElem () {
	nFile = "";
        nSort = "";
        nId = "";
        nDes = "";
    };
	
    public boolean equals (TElem e) {
        if  (nFile.equals (e.nFile) &&
             nSort.equals (e.nSort) &&
             nId.equals (e.nId) &&
             nDes.equals (e.nDes))
	    return true; else return false;
    }

    public static TElem[] addElem (TElem[] xs, TElem x) {
        int n = xs.length;
        TElem[] ys = new TElem[n+1];
        for (int i = 0; i < n; i++) {
	    ys[i] = xs[i];
	}
        ys[n] = x;
        return ys;
    }

    public static TElem[] rmElem (TElem[] xs, int k) {
        TElem[] ys; 
        int n = xs.length;
        if (n < 1) return xs; 
        else {
	    int m = n - 1;
            ys = new TElem[m];
            for (int i = 0; i < m; i++) {
              if (i < k) ys[i] = xs[i];
              else ys[i] = xs[i+1];
	    }
        }
        return ys;
    }

    public static TElem[] joinElems (TElem[] as, TElem[] bs) {
        int na = as.length;
        int nb = bs.length;
        int n = na + nb;
        TElem[] ys = new TElem[n];
        for (int i = 0; i < n; i++) {
	    if (i < na) ys[i] = as[i];
            else ys[i] = bs[i-na];
	};
        return ys;
    }
}




